

         /*********************************************************/
         /*                                                       */
         /*                 COPYRIGHT (C) 1988 BY                 */
         /* CAD Group of Dipartimento di Automatica e Informatica */
         /*             Politecnico di Torino, Italy.             */
         /*                  ALL RIGHTS RESERVED.                 */
         /*                                                       */
         /* This software is furnished under a license and may be */
         /* used and copied  only in accordance with the terms of */
         /* such license. Unauthorized copies will be persecuted. */
         /*                                                       */
         /*********************************************************/





/******************************************************************************

    Filename:         util.h

    Author:           Pier Luca Montessoro

    Creation date:    2 February 1988

    Contents:         parameters, codes and structures used by the utility
                      functions


                          *** DOCUMENTATION ***

      Parameters, codes and structures related to the utility functions are
 defined.


 ******************************************************************************/



/* WSL file extension */

#define WSL_EXTENSION  "dwe"


/* WSL codes */

#define WSL_END         (unsigned char)  0
#define WSL_NEXT        (unsigned char)  1
#define WSL_FORCE       (unsigned char)  2
#define WSL_MOD_FORCE   (unsigned char)  3
#define WSL_FREE        (unsigned char)  4
#define WSL_STROBE      (unsigned char)  5



/* utility info element definition:

   link                 link to the next descriptor in the list.

   index                index of the topological element.

   flag                 general-purpose flag.

   data                 general-purpose longword */

typedef struct Util_Descriptor_Element
        {
           struct Util_Descriptor_Element  *link;

           unsigned short                  index;
           unsigned char                   unused;
           unsigned char                   flag;

           union Data
           {
              struct General
              {
                 unsigned long             first;
                 unsigned long             second;

              }  general;

           }  data;

        }  UTIL_DESCRIPTOR_ELEMENT;

